### Method

# FwupdPlugin CabImage get_win32_filename

since: 1.9.7

#### Declaration [src]

    const gchar*
    fu_cab_image_get_win32_filename (
      FuCabImage* self
    )

#### Description [src]

Gets the in-archive Windows filename, with a possible path component — creating from the firmware ID if required.

Available since: 1.9.7

#### Return value

Type: `const gchar*`

Filename, or `NULL`.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.